/************************************************************************/
/*																		*/
/*	ＩＦ＿５０　ＡＰＩクラスヘッダーファイル							*/
/*																		*/
/*      Copyright(c) 2012  TEXIO TECHNOLOGY CORPORATION                 */
/************************************************************************/
#include "StdAfx.h"

#define HANDLE_ERR	-5

/*　クラス宣言　*/
class LW_IF
{
public:
	
	long DeviceOpen(int,int,int,int);
	int DeviceClose(long);
	int SetTimeOut(long,int);
	int SetMainInput(long,int);
	int GetMainInput(long);
	int SetInputSelect(long,int,int);
	int GetInputSelect(long,int);
	int SetPresetNumber(long,int);
	int GetPresetNumber(long);
	int SavePreset(long,int,int);
	int GetMonitor(long,int,struct MONITOR_DATA*);
	int SetMonitorSelect(long,int);
	int GetMonitorSelect(long);
	int SetDisplaySelect(long,int);
	int GetDisplaySelect(long);
	int SetLoadMode(long,int,int,int,int);
	int GetLoadMode(long,int,int,struct MODE_DATA*);
	int SetLoadValue(long,int,int,double);
	int GetLoadValue(long,int,int,double*);
	int SetSiemensValue(long,int,int,long);
	int GetSiemensValue(long,int,int,long*);
	int SetCurrentLimit(long,int,int,double);
	int GetCurrentLimit(long,int,int,double*);
	int SaveLoadValue(long,int,int);
	int SaveCurrentLimit(long,int,int);
	int SaveMemoryData(long,int);
	int SetSwSelect(long,int,int);
	int GetSwSelect(long,int);
	int SetSwFreq(long,int);
	int GetSwFreq(long,int*);
	int SetSwDuty(long,int);
	int GetSwDuty(long,int*);
	int SetSwTime(long,double,double);
	int GetSwTime(long,struct TIME_DATA*);
	int SetSwMethod(long,int);
	int GetSwMethod(long);
	int SetDelayFunction(long,int);
	int GetDelayFunction(long);
	int SetDelayTime(long,int,double);
	int GetDelayTime(long,int,double*);
	int SetTrackFunction(long,int);
	int GetTrackFunction(long);
	int SetTrackDirection(long,int,int,int,int);
	int GetTrackDirection(long,struct TRACK_DATA*);
	int SetTrackMode(long,int);
	int GetTrackMode(long);
	int SetTrackValue(long,double);
	int GetTrackValue(long,double*);
	int ResetAlarm(long);
	int GetAlarm(long,struct ALARM_DATA*);
	int GetLimit(long,struct LIMIT_DATA*);
	int SetOperationTimeOut(long,int);
	int GetOperationTimeOut(long);
	int SetLocal(long);
	int SetLocalLockOut(long,int);
	int GetLocalLockOut(long);
	int GetIdNumber(long);
	int GetChExist(long,struct CH_DATA*);

	BOOL Initialize();

	LW_IF();
	virtual ~LW_IF();
	
	HINSTANCE hAPI;
	long ( __stdcall* hLW_DeviceOpen )(int,int,int,int);
	int ( __stdcall* hLW_DeviceClose )(long);
	int ( __stdcall* hLW_SetTimeOut )(long,int);
	int ( __stdcall* hLW_SetMainInput )(long,int);
	int ( __stdcall* hLW_GetMainInput )(long);
	int ( __stdcall* hLW_SetInputSelect )(long,int,int);
	int ( __stdcall* hLW_GetInputSelect )(long,int);
	int ( __stdcall* hLW_SetPresetNumber )(long,int);
	int ( __stdcall* hLW_GetPresetNumber )(long);
	int ( __stdcall* hLW_SavePreset )(long,int,int);
	int ( __stdcall* hLW_GetMonitor )(long,int,struct MONITOR_DATA*);
	int ( __stdcall* hLW_SetMonitorSelect )(long,int);
	int ( __stdcall* hLW_GetMonitorSelect )(long);
	int ( __stdcall* hLW_SetDisplaySelect )(long,int);
	int ( __stdcall* hLW_GetDisplaySelect )(long);
	int ( __stdcall* hLW_SetLoadMode )(long,int,int,int,int);
	int ( __stdcall* hLW_GetLoadMode )(long,int,int,struct MODE_DATA*);
	int ( __stdcall* hLW_SetLoadValue )(long,int,int,double);
	int ( __stdcall* hLW_GetLoadValue )(long,int,int,double*);
	int ( __stdcall* hLW_SetSiemensValue )(long,int,int,long);
	int ( __stdcall* hLW_GetSiemensValue )(long,int,int,long*);
	int ( __stdcall* hLW_SetCurrentLimit )(long,int,int,double);
	int ( __stdcall* hLW_GetCurrentLimit )(long,int,int,double*);
	int ( __stdcall* hLW_SaveLoadValue )(long,int,int);
	int ( __stdcall* hLW_SaveCurrentLimit )(long,int,int);
	int ( __stdcall* hLW_SaveMemoryData )(long,int);
	int ( __stdcall* hLW_SetSwSelect )(long,int,int);
	int ( __stdcall* hLW_GetSwSelect )(long,int);
	int ( __stdcall* hLW_SetSwFreq )(long,int);
	int ( __stdcall* hLW_GetSwFreq )(long,int*);
	int ( __stdcall* hLW_SetSwDuty )(long,int);
	int ( __stdcall* hLW_GetSwDuty )(long,int*);
	int ( __stdcall* hLW_SetSwTime )(long,double,double);
	int ( __stdcall* hLW_GetSwTime )(long,struct TIME_DATA*);
	int ( __stdcall* hLW_SetSwMethod )(long,int);
	int ( __stdcall* hLW_GetSwMethod )(long);
	int ( __stdcall* hLW_SetDelayFunction )(long,int);
	int ( __stdcall* hLW_GetDelayFunction )(long);
	int ( __stdcall* hLW_SetDelayTime )(long,int,double);
	int ( __stdcall* hLW_GetDelayTime )(long,int,double*);
	int ( __stdcall* hLW_SetTrackFunction )(long,int);
	int ( __stdcall* hLW_GetTrackFunction )(long);
	int ( __stdcall* hLW_SetTrackDirection )(long,int,int,int,int);
	int ( __stdcall* hLW_GetTrackDirection )(long,struct TRACK_DATA*);
	int ( __stdcall* hLW_SetTrackMode )(long,int);
	int ( __stdcall* hLW_GetTrackMode )(long);
	int ( __stdcall* hLW_SetTrackValue )(long,double);
	int ( __stdcall* hLW_GetTrackValue )(long,double*);
	int ( __stdcall* hLW_ResetAlarm )(long);
	int ( __stdcall* hLW_GetAlarm )(long,struct ALARM_DATA*);
	int ( __stdcall* hLW_GetLimit )(long,struct LIMIT_DATA*);
	int ( __stdcall* hLW_SetOperationTimeOut )(long,int);
	int ( __stdcall* hLW_GetOperationTimeOut )(long);
	int ( __stdcall* hLW_SetLocal )(long);
	int ( __stdcall* hLW_SetLocalLockOut )(long,int);
	int ( __stdcall* hLW_GetLocalLockOut )(long);
	int ( __stdcall* hLW_GetIdNumber )(long);
	int ( __stdcall* hLW_GetChExist )(long,struct CH_DATA*);
};

/* IF_50API_Class.h の終わり */